provisionDataStore:
  cassandra: false

tag: 1.45.0

storage:
  type: elasticsearch
  elasticsearch:
    host: elasticsearch-es-internal-http.monitoring.svc.cluster.local
    user: elastic
    existingSecret: jaeger-secret
    existingSecretKey: ES_PASSWORD
    cmdlineParams:
      es.server-urls: http://elasticsearch-es-internal-http.monitoring.svc.cluster.local:9200
      es.index-prefix: jaeger_
#      es.version: 7                                  # Necessary as it doesn't work with 8 yet
#      es.create-index-templates: "false"               # Necessary as it doesn't work with 8 yetes:

query:
  ingress:
    enabled: true
    ingressClassName: nginx-internal
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod
    hosts:
      - jaeger.rabin.oictinternal.cz
    tls:
      - hosts:
          - jaeger.rabin.oictinternal.cz
        secretName: jaeger.rabin.oictinternal.cz-tls
  resources:
   limits:
     cpu: 200m
     memory: 256Mi
   requests:
     cpu: 50m
     memory: 64Mi

collector:
  replicaCount: 1
  resources:
    requests:
      cpu: 20m
      memory: 64Mi
    limits:
      cpu: 50m
      memory: 128Mi

esIndexCleaner:
  enabled: true
  numberOfDays: 2
  schedule: "55 23 * * *"
  resources:
   requests:
     cpu: 100m
     memory: 64Mi
   limits:
     cpu: 200m
     memory: 128Mi

agent:
  resources:
    limits:
      cpu: 200m
      memory: 128Mi
    requests:
      cpu: 50m
      memory: 64Mi